9
1
mirror of https://github.com/QuantumPackage/qp2.git synced 2024-07-15 15:34:32 +02:00

Force reinstallation of ocaml when configure -i
All checks were successful
continuous-integration/drone/push Build is passing

This commit is contained in:
Anthony Scemama 2023-02-06 18:07:03 +01:00
parent 6a25c3edc9
commit cf5e951311

5
configure vendored
View File

@ -254,10 +254,13 @@ EOF
execute <<EOF
source "${QP_ROOT}"/quantum_package.rc
rm -rf "${QP_ROOT}"/external/opampack
cd "${QP_ROOT}"/external/
tar --gunzip --extract --file qp2-dependencies/opampack.tar.gz
cd "${QP_ROOT}"/external/opampack
./install.sh
export OPAMROOT="${QP_ROOT}"/external/opampack/opamroot
eval \$("${QP_ROOT}"/external/opampack/opam env)
EOF
elif [[ ${PACKAGE} = bse ]] ; then
@ -357,7 +360,7 @@ if [[ ${ZLIB} = $(not_found) ]] ; then
fail
fi
OCAML=$(find_exe ocaml)
OCAML=$(find_exe ocamlc)
if [[ ${OCAML} = $(not_found) ]] ; then
error "OCaml (ocaml) compiler is not installed."
fail